<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="b883f796-3e66-4e46-a671-e8008b4948a0" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/AbstractCar.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/Type.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/audi/AudiA4.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/audi/AudiA4Combi.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/audi/AudiA4Hatchback.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/audi/AudiA4Sedan.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/factory/AudiA4Factory.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/factory/CarFactory.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/factory/ToyotaCorollaFactory.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/provider/CarModel.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/provider/FactoryProvider.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/toyota/ToyotaCorolla.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/toyota/ToyotaCorollaCombi.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/toyota/ToyotaCorollaHatchback.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/toyota/ToyotaCorollaSedan.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/honestit/AbstractFactoryApp.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/honestit/cars/Car.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/adapter/school/AdapterUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/adapter/school/Pupil.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/adapter/school/PupilAdapter.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/adapter/school/Student.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/bridge/drinks/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/bridge/drinks/Taste.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/bridge/drinks/drink/Coffee.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/bridge/drinks/drink/Drink.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/bridge/drinks/drink/Tea.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/bridge/drinks/purchase/CoffeePurchase.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/bridge/drinks/purchase/DrinkPurchase.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/bridge/drinks/purchase/TeaPurchase.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/honestit/country/BuilderApp.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/honestit/homework/url/Url.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/honestit/homework/url/UrlApp.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/honestit/homework/url/UrlBuilder.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/insideclass/weapon/Weapon.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/insideclass/weapon/WeaponUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/lombok/graphics/GraphicsCard.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/lombok/graphics/LombokBuilderUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/outsideclass/toy/Toy.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/outsideclass/toy/ToyBuilder.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/builder/outsideclass/toy/ToyUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/chainofresponsibility/credentials/ChainAuthenticationElement.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/chainofresponsibility/credentials/ChainOfResponsibilityDemo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/chainofresponsibility/credentials/handlers/AuthenticationHandler.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/chainofresponsibility/credentials/handlers/AwsAuthenticationHandler.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/chainofresponsibility/credentials/handlers/BearerTokenAuthenticationHandler.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/chainofresponsibility/credentials/handlers/UsernameAndPasswordAuthenticationHandler.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/chainofresponsibility/credentials/signin/AwsSignature.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/chainofresponsibility/credentials/signin/BearerToken.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/chainofresponsibility/credentials/signin/Credentials.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/chainofresponsibility/credentials/signin/UsernameAndPasswordCredentials.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/command/files/FileOperations.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/command/files/JavaFile.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/command/files/commands/ChangeClassNameCommand.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/command/files/commands/ChangeFileNameCommand.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/command/files/commands/Command.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/composte/lines/LineEditor.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/composte/lines/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/composte/lines/Point.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/composte/lines/compositions/CompoundLine.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/composte/lines/compositions/DottedLine.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/composte/lines/compositions/Line.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/composte/lines/compositions/SolidLine.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/accelerate/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/accelerate/decorators/Accelerator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/accelerate/decorators/ProtonAccelerator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/accelerate/decorators/ProtonAcceleratorLogger.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/accelerate/decorators/ProtonAcceleratorOutput.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/car/Car.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/car/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/car/decorators/CarPremium.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/car/i20Car.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/car/i30Car.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/car/i40Car.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/honestit/bank/DecoratorApp.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/honestit/calculator/CachedCalculator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/honestit/calculator/Calculator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/honestit/calculator/CalculatorApp.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/honestit/calculator/SimpleCalculator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/encrypt/Encryptors.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/encrypt/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/encrypt/fasades/BCryptEncryptor.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/encrypt/fasades/EncryptionFacade.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/encrypt/fasades/Encryptor.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/encrypt/fasades/SCryptEncryptor.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/order/DeliveryService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/order/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/order/OrderFacade.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/order/PaymentService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/facade/order/ProductAvailabilityService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/game/BoardGame.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/game/Game.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/game/PCGame.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/game/factories/GameFactory.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/game/factories/MinecraftGameCreator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/game/factories/MonopolyGameCreator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/honestit/FactoryMethodApp.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/flyweitht/engine/Car.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/flyweitht/engine/CarFactory.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/flyweitht/engine/Engine.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/flyweitht/engine/EngineType.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/flyweitht/engine/FlyweightUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/InterpreterUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/MathOperation.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/MathOperationApplier.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/interpreters/Interpreter.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/interpreters/PythonStyleWithoutOrderMathOperationsInterpreter.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/interpreters/WordsWithoutOrderMathOperationsInterpreter.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/interpreters/iterator/iterable/JavaFile.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/interpreters/iterator/iterable/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/interpreters/iterator/parking/Car.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/interpreters/iterator/parking/ParkingLot.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/interpreters/iterator/parking/ParkingLotUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/interpreter/operations/interpreters/iterator/parking/SimpleCar.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/mediator/graphics/MediatorUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/mediator/graphics/components/ActionAppliedMessage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/mediator/graphics/components/Component.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/mediator/graphics/components/SelectOptions.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/mediator/graphics/components/WarningMessage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/mediator/graphics/mediator/Mediator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/mediator/graphics/mediator/UserActionMediator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/memento/game/GameState.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/memento/game/GameStateManager.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/memento/game/GameStateSnapshot.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/memento/game/MementoUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/channel/ChatChannel.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/channel/ObserverUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/channel/observers/AdminObserver.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/channel/observers/BaseObserver.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/channel/observers/UserObserver.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/multiple/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/multiple/Subject.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/multiple/observers/ClientA.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/multiple/observers/ClientB.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/multiple/observers/ClientC.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/multiple/observers/Observer.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/single/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/single/Subject.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/single/observers/Client.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/observer/single/observers/Observer.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/prototype/code/CodeFile.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/prototype/code/CodeFileApp.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/prototype/code/CodeFilesPrototype.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/prototype/honestit/PrototypeApp.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/proxy/messenger/Message.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/proxy/messenger/SecurityProxyDemo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/proxy/messenger/SessionTokens.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/proxy/messenger/TokenValidator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/proxy/messenger/sender/MessageSender.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/proxy/messenger/sender/SlackMessageSender.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/proxy/messenger/sender/SlackMessageSenderProxy.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/types/eager/classes/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/types/eager/classes/SimpleCounter.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/types/eager/enums/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/types/eager/enums/SimpleCounter.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/types/lazy/doublechecked/CommonStorageChecked.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/types/lazy/regular/CommonStorage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/types/lazy/regular/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/state/ticket/ParkingTicketVendingMachine.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/state/ticket/StateUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/state/ticket/states/MoneyMachineState.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/state/ticket/states/NoPrintingPaperState.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/state/ticket/states/PaidState.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/state/ticket/states/ParkingTicketVendingMachineState.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/state/ticket/states/StillNeedToPayState.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/state/ticket/states/UnavailableState.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/strategy/spaces/SpacesModificationStrategyProvider.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/strategy/spaces/StrategyType.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/strategy/spaces/StrategyUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/strategy/spaces/strategies/DoubleSpacesStrategy.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/strategy/spaces/strategies/RemoveSpacesStrategy.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/strategy/spaces/strategies/ReplaceWithUnderscoreStrategy.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/strategy/spaces/strategies/SpacesModificationStrategy.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/template/performance/TemplateMethodUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/template/performance/templates/PerformanceTestTemplate.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/template/performance/templates/RandomListSortingPerformanceTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/template/performance/templates/StringBuilderAppendPerformanceTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/honestit/VisitorApp.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/honestit/impl/predicates/JavaFilesPrintingVisitor.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/validator/VisitorUsage.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/validator/html/HTML4File.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/validator/html/HTML5File.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/validator/html/HTMLFile.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/validator/html/XHTMLFile.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/validator/visitors/HTMLFileValidator.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/validator/visitors/Visitor.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/README.md" beforeDir="false" afterPath="$PROJECT_DIR$/README.md" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/AbstractFactoryApp.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/Car.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/Car.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/Combi.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/honestit/cars/Combi.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/SUV.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/honestit/cars/SUV.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/cars/Sedan.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/honestit/cars/Sedan.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/factories/CarFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/honestit/factories/CarFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/factories/FiatFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/honestit/factories/FiatFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/factories/SkodaFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/abstract_factory/honestit/factories/SkodaFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/builder/BuilderApp.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/builder/City.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/builder/honestit/country/City.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/builder/Country.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/builder/honestit/country/Country.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/builder/advanced/AdvancedCityBuilder.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/builder/honestit/country/advanced/AdvancedCityBuilder.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/builder/advanced/AdvancedCountryBuilder.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/builder/honestit/country/advanced/AdvancedCountryBuilder.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/builder/simple/CityBuilder.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/builder/honestit/country/simple/CityBuilder.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/builder/simple/CountryBuilder.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/builder/honestit/country/simple/CountryBuilder.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/decorator/BankAccount.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/honestit/bank/BankAccount.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/decorator/DecoratorApp.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/decorator/InMemoryBankAccount.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/honestit/bank/InMemoryBankAccount.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/decorator/impl/AuditableBankAccount.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/honestit/bank/impl/AuditableBankAccount.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/decorator/impl/LoggableBankAccount.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/decorator/honestit/bank/impl/LoggableBankAccount.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/factory_method/Coach.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/honestit/Coach.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/factory_method/FactoryMethodApp.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/factory_method/Manager.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/honestit/Manager.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/factory_method/Trainee.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/honestit/Trainee.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/factory_method/factories/CoachFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/honestit/factories/CoachFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/factory_method/factories/ManagerFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/honestit/factories/ManagerFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/factory_method/factories/TraineeFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/factory_method/honestit/factories/TraineeFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/prototype/Letter.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/prototype/honestit/Letter.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/prototype/PrototypeApp.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/prototype/Template.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/prototype/honestit/Template.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/SingletonApp.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/SingletonApp.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/cars/Car.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/cars/Car.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/cars/Combi.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/cars/Combi.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/cars/SUV.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/cars/SUV.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/cars/Sedan.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/cars/Sedan.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/factories/CarFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/factories/CarFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/factories/FiatFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/factories/FiatFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/factories/SkodaFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/factories/SkodaFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/impl/SingletonCarFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/impl/SingletonCarFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/impl/SingletonFiatFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/impl/SingletonFiatFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/singleton/impl/SingletonSkodaFactory.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/singleton/honestit/impl/SingletonSkodaFactory.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/visitor/VisitorApp.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/visitor/impl/CountingVisitor.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/honestit/impl/CountingVisitor.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/visitor/impl/DirectoryPrintingVisitor.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/honestit/impl/DirectoryPrintingVisitor.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/visitor/impl/Traversal.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/honestit/impl/Traversal.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/visitor/impl/Visitor.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/honestit/impl/Visitor.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/gof/visitor/impl/predicates/ClassFilePredicate.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/gof/visitor/honestit/impl/predicates/ClassFilePredicate.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Kotlin File" />
        <option value="Enum" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../.." />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="$APPLICATION_HOME_DIR$/plugins/maven/lib/maven3" />
        <option name="usePluginRegistry" value="true" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="1kNkoPjb5O0cUf7yyVAWMW4Lq10" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="autoscrollFromSource" value="true" />
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="last_directory_selection" value="$PROJECT_DIR$/src/main/java/gof" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.25862068" />
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
  </component>
  <component name="RecentsManager">
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="gof.interpreter.operations" />
      <recent name="gof.chainofresponsibility.credentials.signin" />
      <recent name="gof.chainofresponsibility.credentials.handlers" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="gof.observer.multiple" />
    </key>
    <key name="CreateClassDialog.RecentsKey">
      <recent name="gof.state.ticket" />
      <recent name="gof.observer.channel" />
      <recent name="gof.interpreter.operations" />
      <recent name="gof.flyweitht.engine" />
      <recent name="gof.composte.lines" />
    </key>
  </component>
  <component name="RunManager" selected="Application.Main (1)">
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="gof.observer.single.Main" />
      <module name="design-patterns" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="gof.observer.single.observers.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="gof.decorator.car.Main" />
      <module name="design-patterns" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="gof.decorator.car.decorators.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="gof.observer.multiple.Main" />
      <module name="design-patterns" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="gof.observer.multiple.observers.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TemplateMethodUsage" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="gof.template.performance.TemplateMethodUsage" />
      <module name="design-patterns" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="gof.template.performance.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="VisitorUsage" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="gof.visitor.validator.VisitorUsage" />
      <module name="design-patterns" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="gof.visitor.validator.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="gof.observer.subject.main" />
      <module name="design-patterns" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="gof.observer.single.observers.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.TemplateMethodUsage" />
      <item itemvalue="Application.VisitorUsage" />
      <item itemvalue="Application.main" />
      <item itemvalue="Application.Main" />
      <item itemvalue="Application.Main (1)" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Main (1)" />
        <item itemvalue="Application.Main" />
        <item itemvalue="Application.main" />
        <item itemvalue="Application.VisitorUsage" />
        <item itemvalue="Application.TemplateMethodUsage" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b883f796-3e66-4e46-a671-e8008b4948a0" name="Default Changelist" comment="" />
      <created>1605548610608</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1605548610608</updated>
    </task>
    <servers />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
  </component>
  <component name="WindowStateProjectService">
    <state x="672" y="215" key="#Auto_Import" timestamp="1606919090396">
      <screen x="53" y="25" width="1867" height="1055" />
    </state>
    <state x="672" y="215" key="#Auto_Import/53.25.1867.1055@53.25.1867.1055" timestamp="1606919090396" />
    <state x="347" y="130" key="#Project_Structure" timestamp="1606500659471">
      <screen x="57" y="25" width="1863" height="1055" />
    </state>
    <state x="347" y="130" key="#Project_Structure/57.25.1863.1055@57.25.1863.1055" timestamp="1606500659471" />
    <state x="321" y="210" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1606598975208">
      <screen x="54" y="25" width="1866" height="1055" />
    </state>
    <state x="321" y="210" key="#com.intellij.execution.impl.EditConfigurationsDialog/54.25.1866.1055@54.25.1866.1055" timestamp="1606598975208" />
    <state x="324" y="210" key="#com.intellij.execution.impl.EditConfigurationsDialog/58.25.1862.1055@58.25.1862.1055" timestamp="1606141035411" />
    <state x="611" y="238" key="#com.intellij.ide.util.MemberChooser" timestamp="1606919125449">
      <screen x="53" y="25" width="1867" height="1055" />
    </state>
    <state x="611" y="238" key="#com.intellij.ide.util.MemberChooser/53.25.1867.1055@53.25.1867.1055" timestamp="1606919125449" />
    <state x="612" y="238" key="#com.intellij.ide.util.MemberChooser/54.25.1866.1055@54.25.1866.1055" timestamp="1606844573063" />
    <state x="613" y="238" key="#com.intellij.ide.util.MemberChooser/56.25.1864.1055@56.25.1864.1055" timestamp="1606743092883" />
    <state x="614" y="238" key="#com.intellij.ide.util.MemberChooser/57.25.1863.1055@57.25.1863.1055" timestamp="1606666506980" />
    <state x="482" y="230" key="#com.intellij.openapi.keymap.impl.ui.EditKeymapsDialog" timestamp="1606490720119">
      <screen x="57" y="25" width="1863" height="1055" />
    </state>
    <state x="482" y="230" key="#com.intellij.openapi.keymap.impl.ui.EditKeymapsDialog/57.25.1863.1055@57.25.1863.1055" timestamp="1606490720119" />
    <state x="584" y="291" key="#com.intellij.openapi.updateSettings.impl.PluginUpdateInfoDialog" timestamp="1606917306674">
      <screen x="53" y="25" width="1867" height="1055" />
    </state>
    <state x="584" y="291" key="#com.intellij.openapi.updateSettings.impl.PluginUpdateInfoDialog/53.25.1867.1055@53.25.1867.1055" timestamp="1606917306674" />
    <state x="594" y="446" width="448" height="213" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.classes" timestamp="1606743157297">
      <screen x="56" y="25" width="1864" height="1055" />
    </state>
    <state x="593" y="446" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.classes/54.25.1866.1055@54.25.1866.1055" timestamp="1606732400205" />
    <state x="594" y="446" width="448" height="213" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.classes/56.25.1864.1055@56.25.1864.1055" timestamp="1606743157297" />
    <state x="603" y="25" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog" timestamp="1606913918486">
      <screen x="53" y="25" width="1867" height="1055" />
    </state>
    <state x="603" y="25" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/53.25.1867.1055@53.25.1867.1055" timestamp="1606913918486" />
    <state x="604" y="25" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/54.25.1866.1055@54.25.1866.1055" timestamp="1606839333248" />
    <state x="607" y="25" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/58.25.1862.1055@58.25.1862.1055" timestamp="1606135069720" />
    <state width="1580" height="226" key="GridCell.Tab.0.bottom" timestamp="1606929758637">
      <screen x="52" y="25" width="1868" height="1055" />
    </state>
    <state width="1580" height="226" key="GridCell.Tab.0.bottom/52.25.1868.1055@52.25.1868.1055" timestamp="1606929758637" />
    <state width="1580" height="226" key="GridCell.Tab.0.bottom/53.25.1867.1055@53.25.1867.1055" timestamp="1606921379574" />
    <state width="1580" height="226" key="GridCell.Tab.0.bottom/54.25.1866.1055@54.25.1866.1055" timestamp="1606849236950" />
    <state width="1507" height="226" key="GridCell.Tab.0.bottom/56.25.1864.1055@56.25.1864.1055" timestamp="1606743647293" />
    <state width="1507" height="226" key="GridCell.Tab.0.bottom/57.25.1863.1055@57.25.1863.1055" timestamp="1606672823269" />
    <state width="1507" height="190" key="GridCell.Tab.0.bottom/58.25.1862.1055@58.25.1862.1055" timestamp="1606142150857" />
    <state width="1580" height="226" key="GridCell.Tab.0.center" timestamp="1606929758636">
      <screen x="52" y="25" width="1868" height="1055" />
    </state>
    <state width="1580" height="226" key="GridCell.Tab.0.center/52.25.1868.1055@52.25.1868.1055" timestamp="1606929758636" />
    <state width="1580" height="226" key="GridCell.Tab.0.center/53.25.1867.1055@53.25.1867.1055" timestamp="1606921379573" />
    <state width="1580" height="226" key="GridCell.Tab.0.center/54.25.1866.1055@54.25.1866.1055" timestamp="1606849236949" />
    <state width="1507" height="226" key="GridCell.Tab.0.center/56.25.1864.1055@56.25.1864.1055" timestamp="1606743647292" />
    <state width="1507" height="226" key="GridCell.Tab.0.center/57.25.1863.1055@57.25.1863.1055" timestamp="1606672823268" />
    <state width="1507" height="190" key="GridCell.Tab.0.center/58.25.1862.1055@58.25.1862.1055" timestamp="1606142150856" />
    <state width="1580" height="226" key="GridCell.Tab.0.left" timestamp="1606929758635">
      <screen x="52" y="25" width="1868" height="1055" />
    </state>
    <state width="1580" height="226" key="GridCell.Tab.0.left/52.25.1868.1055@52.25.1868.1055" timestamp="1606929758635" />
    <state width="1580" height="226" key="GridCell.Tab.0.left/53.25.1867.1055@53.25.1867.1055" timestamp="1606921379572" />
    <state width="1580" height="226" key="GridCell.Tab.0.left/54.25.1866.1055@54.25.1866.1055" timestamp="1606849236948" />
    <state width="1507" height="226" key="GridCell.Tab.0.left/56.25.1864.1055@56.25.1864.1055" timestamp="1606743647292" />
    <state width="1507" height="226" key="GridCell.Tab.0.left/57.25.1863.1055@57.25.1863.1055" timestamp="1606672823267" />
    <state width="1507" height="190" key="GridCell.Tab.0.left/58.25.1862.1055@58.25.1862.1055" timestamp="1606142150855" />
    <state width="1580" height="226" key="GridCell.Tab.0.right" timestamp="1606929758636">
      <screen x="52" y="25" width="1868" height="1055" />
    </state>
    <state width="1580" height="226" key="GridCell.Tab.0.right/52.25.1868.1055@52.25.1868.1055" timestamp="1606929758636" />
    <state width="1580" height="226" key="GridCell.Tab.0.right/53.25.1867.1055@53.25.1867.1055" timestamp="1606921379573" />
    <state width="1580" height="226" key="GridCell.Tab.0.right/54.25.1866.1055@54.25.1866.1055" timestamp="1606849236950" />
    <state width="1507" height="226" key="GridCell.Tab.0.right/56.25.1864.1055@56.25.1864.1055" timestamp="1606743647293" />
    <state width="1507" height="226" key="GridCell.Tab.0.right/57.25.1863.1055@57.25.1863.1055" timestamp="1606672823268" />
    <state width="1507" height="190" key="GridCell.Tab.0.right/58.25.1862.1055@58.25.1862.1055" timestamp="1606142150857" />
    <state width="1388" height="339" key="GridCell.Tab.1.bottom" timestamp="1605558335791">
      <screen x="54" y="25" width="1866" height="1055" />
    </state>
    <state width="1388" height="339" key="GridCell.Tab.1.bottom/54.25.1866.1055@54.25.1866.1055" timestamp="1605558335791" />
    <state width="1388" height="339" key="GridCell.Tab.1.center" timestamp="1605558335791">
      <screen x="54" y="25" width="1866" height="1055" />
    </state>
    <state width="1388" height="339" key="GridCell.Tab.1.center/54.25.1866.1055@54.25.1866.1055" timestamp="1605558335791" />
    <state width="1388" height="339" key="GridCell.Tab.1.left" timestamp="1605558335791">
      <screen x="54" y="25" width="1866" height="1055" />
    </state>
    <state width="1388" height="339" key="GridCell.Tab.1.left/54.25.1866.1055@54.25.1866.1055" timestamp="1605558335791" />
    <state width="1388" height="339" key="GridCell.Tab.1.right" timestamp="1605558335791">
      <screen x="54" y="25" width="1866" height="1055" />
    </state>
    <state width="1388" height="339" key="GridCell.Tab.1.right/54.25.1866.1055@54.25.1866.1055" timestamp="1605558335791" />
    <state x="307" y="170" key="SettingsEditor" timestamp="1606838867914">
      <screen x="54" y="25" width="1866" height="1055" />
    </state>
    <state x="307" y="170" key="SettingsEditor/54.25.1866.1055@54.25.1866.1055" timestamp="1606838867914" />
    <state x="309" y="170" key="SettingsEditor/56.25.1864.1055@56.25.1864.1055" timestamp="1606653577375" />
    <state x="310" y="170" key="SettingsEditor/57.25.1863.1055@57.25.1863.1055" timestamp="1606491988753" />
    <state x="311" y="170" key="SettingsEditor/58.25.1862.1055@58.25.1862.1055" timestamp="1606136306318" />
    <state x="656" y="333" key="chooseDestDirectoryDialog" timestamp="1606737894149">
      <screen x="56" y="25" width="1864" height="1055" />
    </state>
    <state x="655" y="333" key="chooseDestDirectoryDialog/54.25.1866.1055@54.25.1866.1055" timestamp="1606733277922" />
    <state x="656" y="333" key="chooseDestDirectoryDialog/56.25.1864.1055@56.25.1864.1055" timestamp="1606737894149" />
    <state x="539" y="148" key="com.intellij.openapi.editor.actions.MultiplePasteAction$ClipboardContentChooser" timestamp="1605553471364">
      <screen x="54" y="25" width="1866" height="1055" />
    </state>
    <state x="539" y="148" key="com.intellij.openapi.editor.actions.MultiplePasteAction$ClipboardContentChooser/54.25.1866.1055@54.25.1866.1055" timestamp="1605553471364" />
    <state x="467" y="291" width="667" height="486" key="find.popup" timestamp="1605707825535">
      <screen x="52" y="25" width="1868" height="1055" />
    </state>
    <state x="467" y="291" width="667" height="486" key="find.popup/52.25.1868.1055@52.25.1868.1055" timestamp="1605707825535" />
    <state width="601" height="428" key="javadoc.popup" timestamp="1606653280398">
      <screen x="56" y="25" width="1864" height="1055" />
    </state>
    <state width="601" height="428" key="javadoc.popup/54.25.1866.1055@54.25.1866.1055" timestamp="1606596215068" />
    <state width="601" height="428" key="javadoc.popup/56.25.1864.1055@56.25.1864.1055" timestamp="1606653280398" />
    <state width="600" height="428" key="javadoc.popup/57.25.1863.1055@57.25.1863.1055" timestamp="1606500994305" />
    <state x="465" y="245" key="run.anything.popup" timestamp="1606742652864">
      <screen x="56" y="25" width="1864" height="1055" />
    </state>
    <state x="465" y="245" key="run.anything.popup/56.25.1864.1055@56.25.1864.1055" timestamp="1606742652864" />
    <state x="467" y="245" key="run.anything.popup/58.25.1862.1055@58.25.1862.1055" timestamp="1606137533968" />
    <state x="520" y="257" width="677" height="678" key="search.everywhere.popup" timestamp="1606917760421">
      <screen x="53" y="25" width="1867" height="1055" />
    </state>
    <state x="520" y="257" width="677" height="678" key="search.everywhere.popup/53.25.1867.1055@53.25.1867.1055" timestamp="1606917760421" />
    <state x="520" y="257" width="675" height="678" key="search.everywhere.popup/54.25.1866.1055@54.25.1866.1055" timestamp="1606597204010" />
    <state x="522" y="257" width="675" height="678" key="search.everywhere.popup/56.25.1864.1055@56.25.1864.1055" timestamp="1606654285005" />
    <state x="522" y="257" width="673" height="678" key="search.everywhere.popup/57.25.1863.1055@57.25.1863.1055" timestamp="1606228852988" />
    <state x="523" y="257" width="672" height="678" key="search.everywhere.popup/58.25.1862.1055@58.25.1862.1055" timestamp="1606141499954" />
  </component>
</project>